package main.maps;

import main.Tile;
import main.entities.Snake;
import main.entities.Spider;

public class TutorialMap extends Map {
	
	public TutorialMap() {
		super(15, 11);
		for (int x = 0; x < tiles.length; x++) {
			for (int y = 0; y < tiles[0].length; y++) {
				//Wand, Sichtschutz
				if (y == 0 ||y == tiles[0].length - 1 || x == 0 || x == tiles.length - 1 || ((y == 4|| y == 5) && x == 10 )) {
					tiles[x][y] = new Tile (1, x, y);
					add(tiles [x][y]);
				}
				//3D-Wand, 3F-Sichtschutz
				else if(y == 1 || ( y == 6 && x == 10)) {
					tiles[x][y] = new Tile (2, x, y);
					add(tiles [x][y]);
				}
				//Grasboden
				else{
					tiles[x][y] = new Tile(0, x, y);
					add(tiles[x][y]);
				}
			}
		}

		addLivingEntity(new Spider());
		addLivingEntity(new Snake());
	}
	
	@Override
	public Map clone() {
		TutorialMap c = new TutorialMap();
		c.cloneTiles(this);
		return c;
	}
}
